
QGIS Application - Bug report #15485

'Check geometries" plugin fails to fix self-intersection

2016-08-24 08:09 AM - R. R.

Status: Closed

Priority: Normal

Assignee: Sandro Mani

Category: C++ plugins/Geometry Checker

Affected QGIS version:2.16.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23409

Description

The 'Check geometries' plugin fails to fix the self-intersection in the attached polygon.

History

#1 - 2016-08-28 04:33 PM - Jukka Rahkonen

JTS can't correct that geometry either. I suppose that the problematic part is the spike in the geometry. The corrected result should probably be a geometry

collection with one polygon member and one linestring member. Here is a much simpler polygon which gives the same error:

POLYGON ((

        17260 333260, 

        17260 333220, 

        17300 333220, 

        17300 333260, 

        17320 333260, 

        17300 333260, 

        17260 333260

    ))

The error says that method does not support geometry collection arguments.

#2 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/


We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

selfintersection.zip 2.46 KB 2016-08-24 R. R.
